import "./mergeWith.js";
import { isNumber, isString } from "@pisell/utils";
//#region src/utils/index.ts
const isBrowser = !!(typeof window !== "undefined" && window.document && window.document.createElement);
const getCssNumber = (val) => {
	if (isNumber(val)) return `${val}px`;
	else if (isString(val)) {
		const trimVal = val.trim();
		if (!Number.isNaN(Number(trimVal))) return `${val}px`;
		return val;
	} else return val;
};
function uuid() {
	return (Math.random() * 1e6 >> 0).toString(36);
}
//#endregion
export { getCssNumber, isBrowser, uuid };
